import { fetchBillById } from '@/app/lib/actions/billActions';
import { ViewBillCard } from '@/app/ui/ViewBillCard';
import { Main } from '@/app/ui/Main';
import { notFound } from 'next/navigation';

export default async function Page({ params:{ id } }: { params: { id:string } }) {

    const [locationID, billID] = id.split('-');

    const [location, bill] = await fetchBillById(locationID, billID) ?? [];

    if (!bill || !location) {
        return(notFound());
    }
    return (
        <Main>
            <ViewBillCard location={location} bill={bill} />
        </Main>
    );
}